---

name: "🐞 Bug Report"
about: "Create a report about something that is not working"
title: "[BUG] "
ref: "main"
labels:

- bug

---

body:
- type: markdown
  attributes:
    value: |
      More information on our issue management policies can be found [here](https://git.tompit.com/connected/info/src/branch/main/docs/issue_management.md).

      Please keep in mind that the git issue tracker is not intended as a general support forum, but for reporting **non-security** bugs and feature requests.

      For other types of questions, consider using [StackOverflow](https://stackoverflow.com).
- type: checkboxes
  attributes:
    label: Is there an existing issue for this?
    description: Please search to see if an issue already exists for the bug you encountered ([${REPO_NAME}/issues](${REPO_LINK}/issues?q=is%3Aissue)). More information on our issue management policies is available [here](https://git.tompit.com/connected/info/src/branch/main/docs/issue_management.md).
    options:
    - label: I have searched the existing issues
      required: true
- type: textarea
  attributes:
    label: Describe the bug
    description: A clear and concise description of what the bug is.
  validations:
    required: true
- type: textarea
  attributes:
    label: Expected Behavior
    description: A clear and concise description of what you expected to happen.
  validations:
    required: false
- type: textarea
  attributes:
    label: Steps To Reproduce
    description: |
      We ❤ code! Point us to a minimalistic project which reproduces this issue (repro) hosted in a public GitHub repo.
      
      We will close this issue if:
      - The repro project you share with us is complex. We can't investigate custom projects, so don't point us to such, please.
      - If we will not be able to repro the behavior you're reporting.
      - If the repro project is attached as a `.zip` file.
      - If the GitHub repro project is set to `Private`.
  validations:
    required: false
- type: textarea
  attributes:
    label: Exceptions (if any)
    description: Include the exception you get when facing this issue.
    placeholder: 
  validations:
    required: false
- type: input
  attributes:
    label: .NET Version 
    description: |
      Run `dotnet --version`
  validations:
    required: false
- type: input
  attributes:
    label: Code version 
    description: |
      The nuget package version or commit number if building from source.
  validations:
    required: false
- type: textarea
  attributes:
    label: Anything else?
    description: |   
      - The IDE (VS / VS Code/ VS4Mac) you're running on, and its version:
      - Include the output of `dotnet --info`:

      Links? References? Anything that will give us more context about the issue you are encountering!

      Tip: You can attach images or log files by clicking this area to highlight it and then dragging files in.
  validations:
    required: false